# 在 Java 中将字符串转换为`InputStream`

> 原文： [https://howtodoinjava.com/java/io/convert-string-to-inputstream-in-java/](https://howtodoinjava.com/java/io/convert-string-to-inputstream-in-java/)

Java 示例使用`ByteArrayInputStream`和`IOUtils`类将字符串转换为`InputStream`。将字符串写入`InputSteam`在 Java 中是一项常见的工作，并且拥有一些良好的快捷方式在将来会变得更好。

## 1）使用`ByteArrayInputStream`将`String`转换为`InputStream`

使用[**`ByteArrayInputStream`**](https://docs.oracle.com/javase/8/docs/api/java/io/ByteArrayInputStream.html)是获取给定字符串输入流的最简单方法，并且不需要任何外部依赖关系。

```java
]
import java.io.ByteArrayInputStream;
import java.io.InputStream;

public class ConvertStringToInputStreamExample
{
   public static void main(String[] args)
   {
      String sampleString = "howtodoinjava.com";

	  //Here converting string to input stream
      InputStream stream = new ByteArrayInputStream(sampleString.getBytes());
   }
}

```

## 2）来自 Apache Commons 的`IOUtils`

[`IOUtils`](https://commons.apache.org/proper/commons-io/javadocs/api-2.5/org/apache/commons/io/IOUtils.html)对于 Java 中的 IO 操作非常有用。 该解决方案也非常好，因为在任何项目中，apache commons 都是一个“大部分包含”的 jar。

它使代码**更具可读性**。

```java
import java.io.InputStream;
import org.apache.commons.io.IOUtils;

public class ConvertStringToInputStreamExample
{
   public static void main(String[] args)
   {
      String sampleString = "howtodoinjava.com";

	  //Here converting string to input stream
      InputStream stream = IOUtils.toInputStream(sampleString);
   }
}

```

在链接的文章中学习[将`InputStream`转换为字符串](https://howtodoinjava.com/java/io/how-to-read-data-from-inputstream-into-string-in-java/)。

学习愉快！