# 检查输入文本的最小/最大长度的 Java 正则表达式

> 原文： [https://howtodoinjava.com/regex/java-regex-validate-the-minmax-length-of-input-text/](https://howtodoinjava.com/regex/java-regex-validate-the-minmax-length-of-input-text/)

在此 Java 正则表达式教程中，我们将学习测试输入文本的长度是否在最小和最大限制之间。

所有编程语言都提供了一种有效的方法来检查文本的长度。 但是，在某些情况下，使用正则表达式检查文本长度会很有用，特别是当长度只是确定主题文本是否适合所需样式的多个规则之一时。

例如，遵循正则表达式可确保文本长度在 1 到 10 个字符之间，并另外将文本限制为大写字母`A–Z`。 您可以修改正则表达式以允许任何最小或最大文本长度，或允许使用除`A–Z`之外的其他字符。

> **正则表达式：`^[A-Z]{1,10}$`**

```java
List<String> names = new ArrayList<String>();

names.add("LOKESH");  
names.add("JAVACRAZY");  
names.add("LOKESHGUPTAINDIA");  //Incorrect
names.add("LOKESH123");  //Incorrect

String regex = "^[A-Z]{1,10}$";

Pattern pattern = Pattern.compile(regex);

for (String name : names)
{
	Matcher matcher = pattern.matcher(name);
	System.out.println(matcher.matches());
}

Output:

true
true
false
false

```

我建议您使用上述简单的正则表达式尝试更多的变化。

**祝您学习愉快！**