# Java 字符串连接（CSV）示例

> 原文： [https://howtodoinjava.com/java8/java-8-string-join-csv-example/](https://howtodoinjava.com/java8/java-8-string-join-csv-example/)

到目前为止，直到 [**java 7**](//howtodoinjava.com/category/java-7/ "java 7") 为止，我们都具有[`String.spli()`](https://docs.oracle.com/javase/7/docs/api/java/lang/String.html#split%28java.lang.String%29)方法，该方法可以基于作为参数传递的某些标记来分割字符串 。 它返回字符串标记列表作为字符串数组。 但是，如果您想通过使用字符串之间的分隔符来连接字符串标记或通过使用字符串之间的分隔符来创建 CSV，则必须遍历字符串列表或字符串数​​组，然后使用[`StringBuilder`](//howtodoinjava.com)或[`StringBuffer`](https://docs.oracle.com/javase/7/docs/api/java/lang/StringBuffer.html)对象连接这些字符串标记并最终获得 **CSV**。

## 使用`join()`的字符串连接（CSV）

Java 8 使这项任务变得容易。 现在，您有了[**`String.join()`**](https://docs.oracle.com/javase/8/docs/api/java/lang/String.html#join-java.lang.CharSequence-java.lang.Iterable-)方法，其中**第一个参数是分隔符**，然后您可以传递**多个字符串或具有字符串实例的`Iterable`实例作为第二个参数**。 它将返回 CSV 作为返回值。

```java
package java8features;

import java.time.ZoneId;

public class StringJoinDemo {
public static void main(String[] args){
String joined = String.join("/","usr","local","bin");
System.out.println(joined);

String ids = String.join(", ", ZoneId.getAvailableZoneIds());
System.out.println(ids);
}
}

Output:

usr/local/bin
Asia/Aden, America/Cuiaba, Etc/GMT+9, Etc/GMT+8.....

```

因此，下次使用 Java 8 并希望合并字符串时，工具包中将提供一个方便的方法。 用它。

**祝您学习愉快！**