# TypeScript 联合类型

> 原文： [https://howtodoinjava.com/typescript/union-types/](https://howtodoinjava.com/typescript/union-types/)

在 TypeScript 中，您可以定义一个变量，该变量可以具有多种类型的值（即数字，字符串等）。 这称为**联合类型**。 联合类型允许我们定义具有多个类型的变量。 这是通过使用类型之间的竖线（`'|'`）符号实现的。

> 从 JavaScript 代码迁移到 TypeScript 代码时，联合类型在某些情况下会有所帮助。

## 联合类型语法

如前所述，在变量可以支持的多种类型之间使用管道符号。

```java

let myVar : string | number;	//myVar can store string and number types

```

## 联合类型示例

让我们看一个 TypeScript 联合类型的例子。

```java

let myVar : string | number;		//Variable with union type declaration

myVar = 100;			//OK
myVar = 'Lokesh';		//OK

myVar = true;			//Error - boolean not allowed

```

在这里，`myVar`变量可以同时包含`number`和`string`，这使我们能够灵活使用两种数据类型。

如果我们尝试分配未定义的值类型，则 TypeScript 编译器可确保警告我们。

将我的问题放在评论部分。

学习愉快！