# Maven IntelliJ IDEA 项目

> 原文： [https://howtodoinjava.com/maven/how-to-convert-maven-java-project-to-intellij-idea-project/](https://howtodoinjava.com/maven/how-to-convert-maven-java-project-to-intellij-idea-project/)

我们已经了解了如何[在 maven](//howtodoinjava.com/maven/create-a-simple-java-project-using-maven/ "Create a simple java project using maven") 中创建一个简单的 Java 项目，以及如何[将其转换为支持 Eclipse IDE](//howtodoinjava.com/maven/how-to-create-a-eclipse-web-application-using-maven/ "How to create a eclipse web application using maven") 。 有时，开发人员环境由 IntelliJ IDE 而不是 Eclipse 组成。

因此，让我们学习如何将其转换为也支持 IntelliJ。

```java
$ mvn idea:idea
```

## 1）创建 Maven 项目

```java
$ mvn archetype:generate 
		-DgroupId=com.howtodoinjava 
		-DartifactId=intelliJDemo
		-DarchetypeArtifactId=maven-archetype-quickstart 
		-DinteractiveMode=false

```

## 2）IntelliJ 支持

```java
$ mvn idea:idea

```

上面的命令将下载 IntelliJ 的项目插件。 并且，上述命令还将创建项目文件（`.ipr`），模块文件（`.iml`）和工作区文件（`.iws`）。

![maven_intellij](img/b8923988c4bdee0266f151df44a7918a.png)

学习愉快！

参考： [http://maven.apache.org/plugins/maven-idea-plugin/index.html](https://maven.apache.org/plugins/maven-idea-plugin/index.html "maven intellij support")