# Android 教程：在 Windows 上安装 Android

> 原文： [https://howtodoinjava.com/android/android-tutorial-install-android-on-windows/](https://howtodoinjava.com/android/android-tutorial-install-android-on-windows/)

在之前的 android 教程中，我们学习了 [**android 开发中使用的常用术语**](//howtodoinjava.com/android/android-tutorial-key-concepts/ "Android Tutorial : Key Concepts")，以及一些概念，这些内容将在您开发任何 android 应用时为您提供帮助。 在未来的教程中，我将讨论您需要针对 android 应用进行开发设置的概念。 因此，在进入实际的 android 开发概念之前，我们先准备一下开发机器。 我按顺序列出了所需的步骤。 按照给定的所有步骤，您还应该能够准备环境并开始进行实际的 android 应用开发。

```java
Table of Contents

1) Download ADT Bundle
2) Add SDK Packages
3) Configure Virtual Devices
4) Test your development environment
```

## 1）下载 ADT 捆绑包

我遵循为您的机器配置 android 开发环境的最短根目录。 您只需要下载 ADT（Android 开发者工具包）并开始使用它即可。 无需配置 IDE，环境变量或其他任何东西。 只需下载并开始开发。

**在下载之前，仅需检查一下您的计算机是 32 位还是 64 位。** 对于较麻烦的计算机版本，有单独的 ADT 下载。

[为 32 位 Windows 下载 ADT](https://dl.google.com/android/adt/adt-bundle-windows-x86-20140702.zip "32 bit ADT")

[为 64 位 Windows 下载 ADT](https://dl.google.com/android/adt/adt-bundle-windows-x86_64-20140702.zip "64 bit ADT")

**从上述任何位置下载 zip 文件**后，**将其解压缩到计算机**中的任何文件夹。 请确保**不在原始位置**中移动分布式 ADT 中的任何文件。 它可能会破坏开发环境。 只需复制，提取和开发应用即可。

该 ADT 包随附 Android SDK，eclipse IDE 和 SDK Manager 的快捷方式，您将使用该快捷方式将新功能更新/导入开发环境。

## 2）添加 SDK 包

将 ADT 提取到计算机中的某个位置后，单击“`SDK Manager.exe`”。 现在，选择要在计算机中安装的一组所需包。 接受所有条款和条件； 然后单击确定。 它将下载计算机中所有必需的包并自动配置。 您可以一次使用它们，设置完成。

在我的机器中，导入的包如下（截至日期）：

![SDK-Manager-Preview](img/87af3f03173433b8f34886b612035b5f.png)

SDK-Manager 预览



除了上述包外，您还应该从“其他”选项中下载“ Android 支持库”和“ Android 支持库”，这些选项隐藏在上图中的滚动条下方。

## 3）配置虚拟设备

您是开发测试应用还是生产类应用。 您需要先进行测试的设备，对吗？ AVD 管理器将帮助您执行此操作，并创建一些测试应用的虚拟设备。

*   **单击“ AVD 管理器”**

![Configure Android Virtual Device Icon](img/4555740224e821772f3d026ba835be96.png)

配置 Android 虚拟设备 - 图标



*   **创建新的虚拟设备**

![Configure Android Virtual Device Create Button](img/5e66c2c49f0e31d55231e9f0d964141a.png)

配置 Android 虚拟设备 - 创建按钮



*   **填写 AVD 详细信息**

![Configure Android Virtual Device - Create Options](img/d1eb3f509bbb99a92c4a9769528fb3e3.png)

配置 Android 虚拟设备 - 创建选项



*   **点击完成**

![Configure Android Virtual Device - AVD Created](img/65405a751d4df22db31a6274664748b0.png)

配置 Android 虚拟设备 - AVD 已创建



## 4）测试您的开发环境

与实际在环境中创建和运行应用相比，这是测试环境的更好方法。 请按照下面列出的屏幕快照来创建应用并在我们在第三步中创建的 AVD 中进行部署。

*   **创建新的 Android 项目**

![Create Android Project - Android Application Project File Option](img/f23aec24e154f79f08de7dc27a864f70.png)

创建 Android 项目 – Android 应用项目文件选项



*   **向导选项 1：填写项目详细信息**

![Create Android Project - New Project Wizard - Step 1](img/a83aa97f663739bcc28444df699c26fd.png)

创建 Android 项目 – 新项目向导 – 步骤 1



*   **选择项目配置**

包![Create Android Project - New Project Wizard - Step 2](img/a7187a7ac4a7739bd24976b037266032.png)

创建 Android 项目 – 新项目向导 – 步骤 2



*   **选择图标**

![Create Android Project - New Project Wizard - Step 3](img/4e646607f2eb7e144d9e012719cc2642.png)

创建 Android 项目 – 新项目向导 – 步骤 3



*   **选择活动**

![Create Android Project - New Project Wizard - Step 4](img/309b1e84dcc8d4a7dcaacc0d0f43e3da.png)

创建 Android 项目 – 新项目向导 – 步骤 4



*   **填写其他详细信息并完成**

![Create Android Project - New Project Wizard - Finish](img/e6a611431cfc75b8e5068c339b5cea70.png)

创建 Android 项目 – 新项目向导 – 完成



*   **将该应用运行为 Android 应用**

![Run As - Android Application](img/89fe6c601999bcb98a0bb82d41f8002b.png)

运行为 – Android 应用



*   **查看在模拟器中运行的应用**

![Application-Running](img/76208ab5a72fc8b538c845a80890a876.png)

应用运行



仅此而已。 您的 android 开发环境已经准备就绪，您还可以准备使用一些应用开发工具来弄脏您的手。 开始探索，我很快就会发布新内容。

**祝您学习愉快！**