# Java Web 应用性能改进技巧

> 原文： [https://howtodoinjava.com/best-practices/improving-web-application-performance/](https://howtodoinjava.com/best-practices/improving-web-application-performance/)

Web 应用的性能对于任何公司和任何客户的项目成功都是至关重要的。 您应该对可能的瓶颈及其解决方案有一个很好的思考过程。

最近，博客读者之一斯里曼（Sriman）向我提出了这个问题。 好吧，我认为这个问题的答案可能会对更多人有用，所以我在这里发布答案。

## 性能技巧

你们中的许多人都认为绩效本身是一个相对术语。 性能卓越的应用可能会让其他人或您的客户感到失望。 因此，与任何其他相对测量一样，您也必须在此处遵循基本要求。

1.  #### 定义（出色的）性能基准：

    您需要做的第一件事就是决定什么对您来说是好的表现。 就时间单位或资源利用率而言，这应该是一个可衡量的目标。

2.  #### 确定问题领域：

    定义基准数字后，请使用工具来确定应用落后于基准数字的区域。 深入探讨代码中的语句级别。 确定哪些代码段导致性能下降。 列出它们中的每一个，并在整个过程中跟踪每个零件。 注意：请记住，过度优化通常会带来更多危害。 因此，明智地选择。

3.  #### 解决每个问题并衡量差异：

    与您的团队成员就每个问题进行头脑风暴，并找到解决该问题的最佳方法。 一次一个。 比较每个问题的每个解决方案，并记录其结果。

4.  #### 衡量整体表现：

    最后，衡量整体应用性能的提高并与基准进行比较。 仍然您落后，然后重复所有步骤。

尽管上述步骤已经完成，但实际上需要完成哪些工作 – 以可衡量的方式提高性能，但您需要记住以下几点：

*   **开箱即用**。 例如，如果数据库查询花费时间，则不要过度使用 SQL 语句，而应考虑使用缓存。
*   **永远不要假设/猜测任何东西**。 始终进行建议的更改并记录其效果。
*   **寻求自动化**的帮助。 每次更改后，使用工具来捕获性能。 这将使生活更加轻松。
*   **避免过度优化**。 首选代码的简单性和可维护性。
*   **也考虑使用高级的，功能更强大的硬件/网络解决方案**。 它们有时会产生很大的影响。

永远记住，性能是相对的经验。 **向您的客户寻求反馈**。 如果他们满意，则不要尝试修复应用中的任何内容。

我希望上述过程可以帮助您在优化任何应用性能时克服这一复杂情况。

**祝您学习愉快！**