# Python OrderedDict – 有序字典

> 原文： [https://howtodoinjava.com/python/ordereddict-ordered-dictionary/](https://howtodoinjava.com/python/ordereddict-ordered-dictionary/)

**OrderedDict** **维护添加到字典中的项目的插入顺序**。 项目的顺序在迭代或序列化时也会保留。

## 1\. Python OrderedDict 示例

`OrderedDict`是 python 集合模块的一部分。

要轻松构造`OrderedDict`，可以在`collections`模块中使用`OrderedDict`。

```java
from collections import OrderedDict

d = OrderedDict()

d['how'] = 1
d['to'] = 2
d['do'] = 3
d['in'] = 4
d['java'] = 5

for key in d:
    print(key, d[key])

('how', 1)
('to', 2)
('do', 3)
('in', 4)
('java', 5)

```

## 2.将 OrderedDict 转换为 JSON

项目的顺序在序列化为 JSON 时也会保留。

```java
from collections import OrderedDict
import json

d = OrderedDict()

d['how'] = 1
d['to'] = 2
d['do'] = 3
d['in'] = 4
d['java'] = 5

json.dumps(d)

'{"how": 1, "to": 2, "do": 3, "in": 4, "java": 5}'

```

学习愉快！