# HTML5 DOCTYPE 声明示例

> 原文： [https://howtodoinjava.com/html5/html5-doctype/](https://howtodoinjava.com/html5/html5-doctype/)

从技术上讲，要正确解析和显示页面，浏览器需要知道 HTML 文档的 **DOCTYPE** 类型，该类型告诉浏览器在文档中应该使用哪个 HTML 版本。

在 HTML5 之前， **DOCTYPE** 声明引用 DTD，因为它基于 [SGML](https://en.wikipedia.org/wiki/Standard_Generalized_Markup_Language) 。 DTD 指定标记语言的规则，以便浏览器正确呈现内容。

[HTML5](//howtodoinjava.com/html5) 不是基于 SGML，因此不需要引用 DTD。 因此 HTML5 将`DOCTYPE`简化为：

```java
//In HTML5
<!DOCTYPE html>

```

与 HTML 4 之前使用的更复杂的声明相比：

```java
//BEFORE HTML5, Till HTML 4.0.1
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

```

The `DOCTYPE` declaration is NOT case sensitive.

请记住， ***请勿*在 DOCTYPE 标记**之前保留任何空格，否则即使是单个空格也可能导致浏览器呈现 HTML5 代码时出错。

学习愉快！