# Spring 5 教程

> 原文： [https://howtodoinjava.com/spring-5-tutorial/](https://howtodoinjava.com/spring-5-tutorial/)

在本 **Spring 5 教程**中，学习带有 Java 注解配置的新功能和 Hello World 示例。

## 1\. Spring 5 有什么新功能？

Spring 5 是第一个主要版本，距 Spring Framework 4.0 差不多四年了。 在这段时间内，大多数增强功能都是在 [Spring boot](https://howtodoinjava.com/spring-boot-tutorials/) 项目中完成的。 在 Spring 5，这些值得一提的令人兴奋的功能：

*   **基准升级** – Spring 5 现在最低支持 JDK 8 和 Java EE 7。很少有增加了最低支持版本的库。 例如，Servlet 3.1，JMS 2.0，JPA 2.1，JAX-RS 2.0，Bean 验证 1.1，Hibernate 5，Jackson 2.6，EhCache 2.10，JUnit 5 和 Tiles 3。

    服务器的最低支持版本也已提高。 例如 – Tomcat 8.5，Jetty 9.4，WildFly 10 等。

*   **JDK 9 运行时兼容性** – Spring 5 支持 Java 9，包括 Java 模块。
*   **JDK 8 功能的使用** – Spring 5 具有基准版本 8，因此它也使用了 Java 8 和 9 的许多新功能。 实际上，它已经广泛使用了 lambda 函数。
*   **响应式编程支持** – Spring Framework 5 包含响应式流（中立的语言来定义响应式 API 的尝试）和 Reactor（Spring Pivotal 团队提供的响应式流的 Java 实现）供其自己的响应式使用以及它的许多核心 API。
*   **功能性 Web 框架** – Spring 5 也提供了功能性 Web 框架。 它提供了使用功能性编程风格定义端点的功能。
*   **Kotlin 支持** – Spring 框架 5.0 对 Kotlin 有很好的支持。

> 阅读更多： [Spring 5 新功能](https://howtodoinjava.com/spring5/spring5-features-and-enhancements/)

## 2\. Spring 5 示例

Spring 5 示例和教程列表。

#### 2.1. Spring 5 核心

1.  [Spring Bean Java 配置示例](https://howtodoinjava.com/spring5/core/spring-bean-container-java-configuration-example/)
2.  [Spring Bean XML 配置示例](https://howtodoinjava.com/spring5/core/applicationcontext-xml-config-example/)
3.  [Spring Bean 立即与延迟初始化](https://howtodoinjava.com/spring5/core/spring-bean-eager-vs-lazy-init/)
4.  [Spring bean 范围](https://howtodoinjava.com/spring-core/spring-bean-scopes/)

#### 2.2. Spring 5 WebMVC

1.  [Spring `@GetMapping`和`@PostMapping`示例](https://howtodoinjava.com/spring5/webmvc/controller-getmapping-postmapping/)
2.  [Spring `DispatcherServlet`教程](https://howtodoinjava.com/spring5/webmvc/spring-dispatcherservlet-tutorial/)
3.  [Spring 5 MVC + Hibernate 5 示例](https://howtodoinjava.com/spring5/webmvc/spring5-mvc-hibernate5-example/)

#### 2.3. SpringSecurity 5

1.  [安全性 Java Config – `@EnableWebSecurity`示例](https://howtodoinjava.com/spring5/security5/security-java-config-enablewebsecurity-example/)
2.  [登录表单示例](https://howtodoinjava.com/spring5/security5/login-form-example/)

[Spring CORS 配置](https://howtodoinjava.com/spring5/webmvc/spring-mvc-cors-configuration/)

## 3\. Spring 5 教程资源

[Spring 参考](https://docs.spring.io/spring/docs/5.0.8.RELEASE/spring-framework-reference/)
[Spring Security 5](https://docs.spring.io/spring-security/site/docs/5.0.7.RELEASE/reference/htmlsingle/)
[Spring WebMVC](https://docs.spring.io/spring/docs/current/spring-framework-reference/web.html)